Bug 21891 - w generates unaligned traps
w generates unaligned traps
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Aaron Brown
: 21936 22973 (view as bug list)
Depends On: 22972
  Show dependency treegraph
Reported: 2000-12-07 09:09 EST by Bert de Bruijn
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-31 18:05:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bert de Bruijn 2000-12-07 09:09:39 EST
redhat 7.0 on alpha Miata (PWS 500a) + all updates, running "w" generates 3
unaligned traps.
Comment 1 Bill Nottingham 2000-12-07 11:38:29 EST
What version of ncurses do you have installed?
Comment 2 Bert de Bruijn 2000-12-07 11:44:23 EST
ncurses 5.2-2 from the redhat updates.
btw, it's 4 unaligned traps:
at 00000001200016c0: 000000011ffff6e6 2c 31
at 00000001200016c4: 000000011ffff6ea 2c 31
at 00000001200016c8: 000000011ffff6ee 2c 31
at 00000001200016cc: 000000011ffff6f2 2c 31
Comment 3 Need Real Name 2000-12-12 20:35:38 EST
I rebuilt the procps SRPMS using kgcc instead of gcc and eliminated the seg faults.
Comment 4 Richard Henderson 2001-01-02 03:15:44 EST
*** Bug 21936 has been marked as a duplicate of this bug. ***
Comment 5 Richard Henderson 2001-01-02 03:16:23 EST
*** Bug 22973 has been marked as a duplicate of this bug. ***
Comment 6 Gregory McLean 2001-01-12 08:01:21 EST
I also see this on my AlphaPC (SX164)

 rpm -q procps

 rpm -qa | grep ncurses
Comment 7 Gregory McLean 2001-01-12 08:12:32 EST
Compiling with kgcc (egcs-2.91.66) makes the unaligned traps go away, sounds
like a possible gcc issue.
Comment 8 Preston Brown 2001-01-12 11:10:57 EST
Georges, Jakub:  Can you please take a look at this when you have a moment?
Comment 9 Preston Brown 2001-01-31 18:05:48 EST
Georges: I need you to work on this one please.
Comment 10 Preston Brown 2001-03-05 13:55:00 EST
fixed in rawhide, at least procps 2.0.7-5 and ncurses-5.2-7 work here.

Note You need to log in before you can comment on or make changes to this bug.